<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: m17n-flt.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>m17n-flt.h File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html">MFLTGlyph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of information about a glyph.  <a href="structMFLTGlyph.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html">MFLTGlyphAdjustment</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of information about a glyph position adjustment.  <a href="structMFLTGlyphAdjustment.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of information about a glyph sequence.  <a href="structMFLTGlyphString.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of specification of GSUB and GPOS OpenType tables.  <a href="structMFLTOtfSpec.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTFont.html">MFLTFont</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of font to be used by the FLT driver.  <a href="structMFLTFont.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct _MFLT&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of FLT (Font Layout Table).  <a href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga3f239eb3dc7eb38ba2784959f6be8a9b">mflt_get</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return an FLT object that has a specified name.  <a href="group__m17nFLT.html#ga3f239eb3dc7eb38ba2784959f6be8a9b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213">mflt_find</a> (int c, <a class="el" href="structMFLTFont.html">MFLTFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find an FLT suitable for the specified character and font.  <a href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga1a01dd37b3e13e32317694164cb2bae7">mflt_name</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the name of an FLT.  <a href="group__m17nFLT.html#ga1a01dd37b3e13e32317694164cb2bae7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga6da91edea6065f90515c24fd48455e54">mflt_coverage</a> (<a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return a coverage of a FLT.  <a href="group__m17nFLT.html#ga6da91edea6065f90515c24fd48455e54"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d">mflt_run</a> (<a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to, <a class="el" href="structMFLTFont.html">MFLTFont</a> *font, <a class="el" href="group__m17nFLT.html#ga28abba06fa26ca3d9389382261905add">MFLT</a> *flt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Layout characters with an FLT.  <a href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b">mflt_enable_new_feature</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to control several new OTF handling commands.  <a href="group__m17nFLT.html#ga8fa9d49e4291440961b37717afce653b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga34b4a542edc38d30fe6c5fc326b5a987">mflt_font_id</a> )(<a class="el" href="structMFLTFont.html">MFLTFont</a> *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#ga2286495d42b49ce59cb0730482a89c70">mflt_iterate_otf_feature</a> )(<a class="el" href="structMFLTFont.html">MFLTFont</a> *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, int from, int to, unsigned char *table)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFLT.html#gac5e9a0518e0ca3b1ead5a7a9050846bb">mflt_try_otf</a> )(struct _MFLTFont *font, <a class="el" href="structMFLTOtfSpec.html">MFLTOtfSpec</a> *spec, <a class="el" href="structMFLTGlyphString.html">MFLTGlyphString</a> *gstring, int from, int to)</td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
